module kinds

!-------------------------------------------------------------
! 
! Store the kinds of integers, reals, etc needed for
! a single program.  First question everyone asks: why
! specify a precision of 13 digits for a double?  Answer:
! because Cray is screwed up.  Although it's double precision
! uses 8 bytes nowadays, it only provides 13 digits of
! precision, having traded off the other bits for exponent.
! 
!-------------------------------------------------------------

implicit none
public 

integer, parameter :: real4 = selected_real_kind(6,37)
integer, parameter :: real8 = selected_real_kind(13,300)
integer, parameter :: float_type = real4
integer, parameter :: double_type= real8

integer, parameter::  integer4 = selected_int_kind(9)
integer, parameter::  integer8 = selected_int_kind(18)
integer, parameter::  int_type = selected_int_kind(18)
integer, parameter::  longint_type = selected_int_kind(18)


end module kinds
