SHELL = /bin/sh

#
#  Machine dependent flags for compilation.  This gets included into
#  the other makefiles.  
#  
#  The makefiles test for the presence of the Unix utility ranlib
#  in /usr/bin/ranlib.  If ranlib exists but it is not
#  present in that customary place, the makefiles should be edited to
#  show the correct location.
#  
#  The makefiles test for the presence of the machines native BLAS routines
#  in /usr/lib/libblas.a; if they are not present the Fortran version of
#  the BLAS routines in subdirectory splib/blas will be compiled instead.
#  If the BLAS libraries are present but in a different location, edit the
#  makefiles for that location.  This will not cause an error, but using
#  native BLAS libraries generally gives much faster code.
#**********************************************************************
#                   SPLIB Copyright (C) 1995-1999                    **
#                     Indiana University                             **
#**********************************************************************
#
#

#########################################################################
#    Definitions for Intel Linux Compilation
#########################################################################

FC=/opt/intel/compiler80/bin/ifort
CC=/opt/intel/compiler80/bin/icc
FFLAGS=-O3 -arch pn3 -axK -static -ip -stand f95 -tpp6 -tune pn3 -warn alignment
CFLAGS=-O2
BLASLIBS = -L/opt/intel/mkl60/lib/32 -lmkl_ia32 -lguide
MAKE= make
RANLIB = /usr/bin/ranlib

#########################################################################
#    Definitions for Linux compilation
#########################################################################

# FC=/usr/bin/g77
# CC=/usr/bin/gcc
# FC=/usr/local/gcc-3.0.2/bin/g77
# CC=/usr/local/gcc-3.0.2/bin/gcc
# CFLAGS= -O -L/usr/local/gcc-3.0.2/lib
# FFLAGS= -O -L/usr/local/gcc-3.0.2/lib
# MAKE= make
# RANLIB = /usr/bin/ranlib

#########################################################################
#    Definitions for SGI Power Challenge compilation:			#
#########################################################################

# FC=f77
# CC=cc
# CFLAGS= -O -mips4
# FFLAGS= -O -mips4
# # CFLAGS= -O -mips4 -non_shared
# # FFLAGS= -O -mips4 -non_shared
# MAKE= pmake -J 8
# RANLIB = echo

#########################################################################
#    Definitions for RS/6000 compilation:				#
#########################################################################

# FC=f77
# CC=cc
# CFLAGS= -O # for use on RS/6000
# FFLAGS= -O # for use on RS/6000
# MAKE= make
# RANLIB = ranlib

#########################################################################
#    Definitions for SGI R4000 based compilation:			#
#########################################################################

# FC=f77
# CC=cc
# CFLAGS= -O -mips2 
# FFLAGS= -32 -O -mips2 -static 
# MAKE= make
# RANLIB = echo

#########################################################################
#    Definitions for Sun System V compilations:	                       	#
#########################################################################

# FC=f77
# CC=gcc
# CFLAGS= -O
# FFLAGS= -O -f
# MAKE= make
# RANLIB = ranlib

#########################################################################
#    Definitions for Dec ULTRIX 4.4 RISC compilations:	                #
# Note: you will probably need to link  in with your driver the		#
# libraries  -lF77 -lI77 -lU77						#
#########################################################################

# FC=f77
# CC=gcc
# CFLAGS= -O
# FFLAGS= -O -align dcommons
# MAKE= make
# RANLIB = ranlib


#########################################################################
#    Definitions for OSF1 V2.1 250 alpha compilations:	                #
#########################################################################

# FC=f77
# CC=gcc
# CFLAGS= -O
# FFLAGS= -O -align dcommons
# MAKE= make
# RANLIB = ranlib

#########################################################################
#    End Variant Definitions compilation				#
#########################################################################

