    subroutine sparser (n, A, c_ind , r_point,   omega,         &
                         ilu   ,ilup  ,  iwork , size_work ,    &
                         ierr  , mneed )

!**********************************************************************
!                   SPLIB Copyright (C) 1995-1999                    **
!                     Indiana University                             **
!**********************************************************************

    implicit none
!-----------------------------------------------------------------------
!   n, A, c_ind, r_point: matrix A in CSR format.
!   Omega: parameter of dropping for sparser pattern.
!   ilu, ilup: pointers to the begining of the arrary for the
!       structure of ECIMGS pattern in MSR format.
!   iwork, size_work: working space array with size of size_work.
!   ierr: error code
!       =0 no error is detected
!       =1 short of space
!   mneed: if ierr = 0, it rturns the size of working space for ECIMGS
!       pattern. if ierr = 1, it returns the number of additional
!       space needed for the success pattern generation.
!-----------------------------------------------------------------------
    integer n, c_ind(*), r_point(*), iwork(*)
    integer ilu, ilup, size_work, ierr, mneed
    double precision :: A(*), omega, rmax
    integer i, j, k, lp

!
!  Compute the sparsity pattern
!   
    if (size_work .lt. r_point(n+1)-1+n) then
        ierr = 1
        mneed= r_point(n+1)-1+n-size_work
        goto 1000
    endif
    ilup = 1
    ilu = n+1
    iwork(ilu) = n+2
    lp = n+2
    do i = 1, n
!       find the maximum in the row
        rmax = 0.0d0
        do k = r_point(i), r_point(i+1)-1
        rmax = max(abs(A(k)), rmax)
        enddo
!       drop off small elements for sparser pattern
        do k = r_point(i), r_point(i+1)-1
        j = c_ind(k)
        if (j.lt.i) then
            if (abs(A(k))/rmax .lt. omega) then
!               dropped
                iwork(ilu+lp-1) = j
            else
!               kept
                iwork(ilu+lp-1) = -j
            endif
            lp = lp + 1
        elseif (j.gt.i) then
            if ( iwork(ilup+i-1) .eq.0) iwork(ilup+i-1) = lp
                    if (abs(A(k))/rmax .lt. omega) then
!                       dropped
                        iwork(ilu+lp-1) = j
                    else
!                       kept
                        iwork(ilu+lp-1) = -j
                    endif
                    lp = lp + 1
        else
            iwork(ilup+i-1) = lp
        endif
        enddo
        iwork(ilu+i) = lp
        if (size_work .lt. n+lp) then
            ierr = 1
        mneed = n-i
            goto 1000
        endif
    enddo
    mneed = lp + ilu 
1000    continue
    return
    end
